Subject: bug#33523: closed (Re: bug#33523: broken URL in install(1) man page)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Nov 2018 22:22:02 +0000

Your bug report

#33523: broken URL in install(1) man page

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33523: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33523
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33523: broken URL in install(1) man page
From: Bernhard Voelker <[email-masked]>
To: Kamil Dudka <[email-masked]>, [email-masked]
Date: Tue, 27 Nov 2018 23:21:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/27/18 5:28 PM, Kamil Dudka wrote:
> The SEE ALSO section of install(1) man page contains a broken URL:
> 
>     Full documentation at: <https://www.gnu.org/software/coreutils/install>
> 
> The URL returns:
> 
>     404 - Page Not Found
> 
> I suspect it is caused by the build-time rename ginstall -> install.  If one
> substitutes 'install' by 'ginstall' in the above URL, then it redirects to the
> following URL:
> 
>     https://www.gnu.org/software/coreutils/manual/html_node/ginstall-invocation.html#ginstall-invocation
> 
> ... which does not work either.  It should be redirected to the following URL
> instead:
> 
>     https://www.gnu.org/software/coreutils/manual/html_node/install-invocation.html#install-invocation
> 
> Unfortunately, I do not know where the redirections are maintained.  This was
> originally reported in Red Hat Bugzilla:
> 
>     https://bugzilla.redhat.com/1649774
> 
> Kamil

Nice catch!
I've fixed this in the .htaccess file in coreutils' web-cvs repo.
Marking this as done.

Have a nice day,
Berny

Subject: broken URL in install(1) man page
From: Kamil Dudka <[email-masked]>
To: [email-masked]
Date: Tue, 27 Nov 2018 17:28:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The SEE ALSO section of install(1) man page contains a broken URL:

    Full documentation at: <https://www.gnu.org/software/coreutils/install>

The URL returns:

    404 - Page Not Found

I suspect it is caused by the build-time rename ginstall -> install.  If one
substitutes 'install' by 'ginstall' in the above URL, then it redirects to the
following URL:

    https://www.gnu.org/software/coreutils/manual/html_node/ginstall-invocation.html#ginstall-invocation

... which does not work either.  It should be redirected to the following URL
instead:

    https://www.gnu.org/software/coreutils/manual/html_node/install-invocation.html#install-invocation

Unfortunately, I do not know where the redirections are maintained.  This was
originally reported in Red Hat Bugzilla:

    https://bugzilla.redhat.com/1649774

Kamil